#! /bin/sh
### BEGIN INIT INFO
# Provides:          tntnet.org
# Required-Start:    $local_fs $remote_fs $time $network
# Required-Stop:     $local_fs $remote_fs $time $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: modular, multithreaded web application server for C++
# Description:       web server in which dynamic content can be written in
#                    ecpp, where C++ code can be embedded in HTML layout.
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/tntnet
NAME=tntnet
DESC=tntnet

test -x $DAEMON || exit 0

# Include tntnet defaults if available
if [ -f /etc/default/tntnet ] ; then
	. /etc/default/tntnet
fi

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	if netstat -ln --tcp | grep -c ':80 ' > /dev/null ; then
		echo "failed, socket in use."
	else
		start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
		echo "$NAME."
	fi
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --oknodo --pidfile /var/run/$NAME.pid --retry 20 --quiet --exec $DAEMON
	echo "$NAME."
	;;
  reload|force-reload)
	echo "Reloading $DESC configuration files."
	start-stop-daemon --stop --signal 1 --pidfile /var/run/$NAME.pid --quiet --exec $DAEMON
	;;
  restart)
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --oknodo --pidfile /var/run/$NAME.pid --quiet --retry 20 --exec $DAEMON
	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	exit 1
	;;
esac

exit 0
